Subject: Re: [PATCH] rebase --fix: interactive fixup mode

From: Clemens Buchacher <[email-masked]>
Date: Mon, 9 Jan 2012 21:16:09 +0100

On Mon, Jan 09, 2012 at 10:13:33AM +0100, Thomas Rast wrote:
> 
> Given the name I would expect --fix to rebase far enough to make recent
> fixup!/squash! commits take effect.  Perhaps name it --recent?

Sure, I am not particular about the name.

> (And I also think that the 20 is rather arbitrary...)

Well, I need some kind of limit. Otherwise we will list the entire
history up to the root commit in case of repos with only linear history.
And that can be rather slow.

Clemens